Bug 428765 - leak in bitwise plugin
leak in bitwise plugin
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.1.0
All All
low Severity high
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: FDS112
  Show dependency treegraph
 
Reported: 2008-01-14 20:15 EST by Ulf Weltman
Modified: 2015-12-07 11:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:56:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs (2.41 KB, patch)
2008-07-10 17:59 EDT, Rich Megginson
no flags Details | Diff
cvs commit log (190 bytes, text/plain)
2008-07-14 19:32 EDT, Rich Megginson
no flags Details

  None (edit)
Description Ulf Weltman 2008-01-14 20:15:28 EST
Maybe bitwise_filter_destroy() should be deallocating the bmc object?

15392 bytes leaked in 962 blocks (40.52% of all bytes leaked)
These range in size from 16 to 16 bytes and are allocated
#0  slapi_ch_calloc() at ../../ldapserver/ldap/servers/slapd/ch_malloc.c:242
#1  new_bitwise_match_cb() at ../../ldapserver/ldap/servers/plugins/bitwise/bitw
ise.c:71
#2  bitwise_filter_create() at ../../ldapserver/ldap/servers/plugins/bitwise/bit
wise.c:170
#3  attempt_mr_filter_create() at ../../ldapserver/ldap/servers/slapd/plugin_mr.
c:155
#4  plugin_mr_filter_create() at ../../ldapserver/ldap/servers/slapd/plugin_mr.c
:187
#5  get_filter_internal() at ../../ldapserver/ldap/servers/slapd/filter.c:337
#6  get_filter_list() at ../../ldapserver/ldap/servers/slapd/filter.c:413
#7  get_filter_internal() at ../../ldapserver/ldap/servers/slapd/filter.c:344
#8  get_filter() at ../../ldapserver/ldap/servers/slapd/filter.c:90
#9  do_search() at ../../ldapserver/ldap/servers/slapd/search.c:153
#10 connection_dispatch_operation() at ../../ldapserver/ldap/servers/slapd/conne
ction.c:532
#11 connection_threadmain() at ../../ldapserver/ldap/servers/slapd/connection.c:
2163
#12 _pt_root() at ../../../../nsprpub/pr/src/pthreads/ptthread.c:220
#13 __pthread_bound_body() from /usr/lib/hpux64/libpthread.so.1
Comment 1 Ulf Weltman 2008-01-15 20:33:11 EST
To test, just run ldapsearch like:
ldapsearch -b "dc=example,dc=com" "(&(uid=*)(ou:1.2.840.113556.1.4.803:=1))"

It's a bogus filter but we only need to enter the plugin for the leak to happen.
 You could also use a filter like "(&(uid=*)(ou:foo:=1))" where "foo" is
obviously a bogus matching OID, but we still enter the bitwise plugin.
Comment 2 Rich Megginson 2008-07-10 17:59:46 EDT
Created attachment 311516 [details]
diffs

How did you produce the leak report?  That doesn't appear to be valgrind output
- looks like gdb with leak detection?
What do you mean by "It's a bogus filter"?

I found the source of one of the leaks - when you specify an unknown matching
rule in the filter (e.g. ou:foo:) it tries to allocate an mr filter to handle
it - the mr filter creation code is supposed to reject OIDs that it cannot
handle, so I changed bitwise to do that.  See if this patch clears up your
problem.
Comment 3 Ulf Weltman 2008-07-10 20:59:40 EDT
Yes, it's output from the heap analysis extension in HP's wdb/gdb.
The second filter with (ou:foo:=1) is bogus since foo isn't a valid oid.  As you
mentioned, a filter that does not intend a bitwise match isn't needed to
reproduce the leak.

The patch certainly looks promising, I'll give it a test ASAP.  Normally I don't
have a bitwise plugin present since I'm working with 8.0.
Comment 4 Rich Megginson 2008-07-14 19:32:16 EDT
Created attachment 311788 [details]
cvs commit log

Reviewed by: nhosoi (Thanks!)
Branch: HEAD
Fix Description: The bitwise plugin should first check to make sure the
requested OID is one that it can handle.
Platforms tested: RHEL5, Fedora 8, Fedora 9
Flag Day: no
Doc impact: no
Comment 6 Rich Megginson 2011-07-08 09:36:01 EDT
Run the server under valgrind
Do a search like this:
ldapsearch -b "dc=example,dc=com" "(&(uid=*)(ou:1.2.840.113556.1.4.803:=1))"

shutdown the server

The valgrind report should produce no reports of leaks in bitwise.c
Comment 7 Amita Sharma 2011-07-11 03:25:17 EDT
Hi Rich,

I have executed below commands :

1. stop the server.

2. create /usr/sbin/start-dirsrv.val
# cp /usr/sbin/start-dirsrv /usr/sbin/start-dirsrv.val
Then, edit /usr/sbin/start-dirsrv.val as this diff shows:
diff -twU4 /usr/sbin/start-dirsrv*
--- /usr/sbin/start-dirsrv 2011-04-27 11:28:20.000000000 -0700
+++ /usr/sbin/start-dirsrv.val 2011-04-06 11:42:28.000000000 -0700
@@ -59,9 +59,9 @@
         else
             rm -f $PIDFILE
         fi
     fi
-    cd $SERVERBIN_DIR; ./ns-slapd -D $CONFIG_DIR -i $PIDFILE -w $STARTPIDFILE
"$@"
+    cd $SERVERBIN_DIR; valgrind --num-callers=32 --tool=memcheck
--leak-check=full --leak-resolution=high ./ns-slapd -D $CONFIG_DIR -i $PIDFILE
-w $STARTPIDFILE "$@" -d 0
     if [ $? -ne 0 ]; then
         return 1
     fi

4. start slapd in the script command as follows.
# script
# /usr/sbin/start-dirsrv.val -d /etc/sysconfig <YOUR_SERVER_ID>
Note: For <YOUR_SERVER_ID>, see the path:
/usr/lib[64]/dirsrv/slapd_<YOUR_SERVER_ID>.

5. from other window,
[root@rhel61 ~]# ldapsearch -x -h localhost -p 1389 -D "cn=Directory Manager" -w pwd -b "dc=example,dc=com" "(&(uid=*)(ou:1.2.840.113556.1.4.803:=1))"
# extended LDIF
#
# LDAPv3
# base <dc=example,dc=com> with scope subtree
# filter: (&(uid=*)(ou:1.2.840.113556.1.4.803:=1))
# requesting: ALL
#

# search result
search: 2
result: 0 Success

# numResponses: 1
[root@rhel61 ~]# service dirsrv stop
Shutting down dirsrv: 
    rhel61...                                              [  OK  ]

6. From first window, I got:
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFF11A04: mep_init (in /usr/lib64/dirsrv/plugins/libmanagedentries-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 95 (24 direct, 71 indirect) bytes in 1 blocks are definitely lost in loss record 919 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFAB3503: replication_legacy_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 96 (24 direct, 72 indirect) bytes in 1 blocks are definitely lost in loss record 928 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFD0AA20: linked_attrs_init (in /usr/lib64/dirsrv/plugins/liblinkedattrs-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 99 (24 direct, 75 indirect) bytes in 1 blocks are definitely lost in loss record 930 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFABEBFD: replication_multimaster_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 100 (24 direct, 76 indirect) bytes in 1 blocks are definitely lost in loss record 935 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xF3EB5D6: dna_init (in /usr/lib64/dirsrv/plugins/libdna-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 100 (24 direct, 76 indirect) bytes in 1 blocks are definitely lost in loss record 936 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFABEC2F: replication_multimaster_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 101 (24 direct, 77 indirect) bytes in 1 blocks are definitely lost in loss record 937 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFABEC61: replication_multimaster_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 101 (24 direct, 77 indirect) bytes in 1 blocks are definitely lost in loss record 938 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xEFDBBB7: cos_init (in /usr/lib64/dirsrv/plugins/libcos-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 102 (24 direct, 78 indirect) bytes in 1 blocks are definitely lost in loss record 939 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFABEC93: replication_multimaster_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 103 (24 direct, 79 indirect) bytes in 1 blocks are definitely lost in loss record 940 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFAB3535: replication_legacy_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 104 (24 direct, 80 indirect) bytes in 1 blocks are definitely lost in loss record 942 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFAB3567: replication_legacy_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 104 (24 direct, 80 indirect) bytes in 1 blocks are definitely lost in loss record 943 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFABEDBF: replication_multimaster_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 108 (24 direct, 84 indirect) bytes in 1 blocks are definitely lost in loss record 946 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xF3EB5A0: dna_init (in /usr/lib64/dirsrv/plugins/libdna-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 108 (24 direct, 84 indirect) bytes in 1 blocks are definitely lost in loss record 947 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFABECC5: replication_multimaster_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 109 (24 direct, 85 indirect) bytes in 1 blocks are definitely lost in loss record 951 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFABECF7: replication_multimaster_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 109 (24 direct, 85 indirect) bytes in 1 blocks are definitely lost in loss record 952 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFABED5B: replication_multimaster_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 111 (24 direct, 87 indirect) bytes in 1 blocks are definitely lost in loss record 953 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFABED29: replication_multimaster_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 115 (24 direct, 91 indirect) bytes in 1 blocks are definitely lost in loss record 959 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xF3EB60E: dna_init (in /usr/lib64/dirsrv/plugins/libdna-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 115 bytes in 11 blocks are definitely lost in loss record 960 of 1,609
==23620==    at 0x4C26FDE: malloc (vg_replace_malloc.c:236)
==23620==    by 0x4E7287A: slapi_ch_malloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7FDFF: slapi_entry_attr_get_charptr (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB61F3: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x41D948: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 118 (24 direct, 94 indirect) bytes in 1 blocks are definitely lost in loss record 962 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB8149: slapi_register_plugin (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0xFABED8D: replication_multimaster_plugin_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 176 (48 direct, 128 indirect) bytes in 2 blocks are definitely lost in loss record 1,099 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x93EDE2B: syntax_register_matching_rule_plugins (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x93E815E: bin_init (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4102D4: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C5E5: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 176 (48 direct, 128 indirect) bytes in 2 blocks are definitely lost in loss record 1,100 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x93EDE2B: syntax_register_matching_rule_plugins (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x93EDF9C: tel_init (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4102D4: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C5E5: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 232 (64 direct, 168 indirect) bytes in 1 blocks are definitely lost in loss record 1,136 of 1,609
==23620==    at 0x4C26FDE: malloc (vg_replace_malloc.c:236)
==23620==    by 0x6CABEBA: PR_NewCondVar (in /lib64/libnspr4.so)
==23620==    by 0xFAAA94E: cl5Init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0xFAAEC0C: changelog5_init (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0xFABEF71: multimaster_start (in /usr/lib64/dirsrv/plugins/libreplication-plugin.so)
==23620==    by 0x4EB5C0C: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB6585: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x41D948: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 253 bytes in 11 blocks are definitely lost in loss record 1,144 of 1,609
==23620==    at 0x4C26FDE: malloc (vg_replace_malloc.c:236)
==23620==    by 0x4E7287A: slapi_ch_malloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7FDFF: slapi_entry_attr_get_charptr (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB6284: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x41D948: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 264 (72 direct, 192 indirect) bytes in 3 blocks are definitely lost in loss record 1,156 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x93EDE2B: syntax_register_matching_rule_plugins (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x93EAA60: int_init (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4102D4: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C5E5: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 264 (72 direct, 192 indirect) bytes in 3 blocks are definitely lost in loss record 1,157 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x93EDE2B: syntax_register_matching_rule_plugins (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x93EAFB0: numstr_init (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4102D4: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C5E5: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 332 (24 direct, 308 indirect) bytes in 1 blocks are definitely lost in loss record 1,183 of 1,609
==23620==    at 0x4C26FDE: malloc (vg_replace_malloc.c:236)
==23620==    by 0x4E7287A: slapi_ch_malloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB65FB: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x41D948: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 440 (120 direct, 320 indirect) bytes in 5 blocks are definitely lost in loss record 1,228 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x93EDE2B: syntax_register_matching_rule_plugins (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x93E8749: ces_init (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4102D4: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C5E5: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 496 (144 direct, 352 indirect) bytes in 6 blocks are definitely lost in loss record 1,243 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x410D6C: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x4E7BB57: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7D91E: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7DC0A: dse_read_file (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418F5A: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 648 bytes in 1 blocks are definitely lost in loss record 1,311 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7167C: be_new_internal (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4ECEAF7: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4ECEB9B: init_schema_dse (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x418E60: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 648 bytes in 1 blocks are definitely lost in loss record 1,312 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4E7167C: be_new_internal (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4193DC: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C616: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 912 (336 direct, 576 indirect) bytes in 14 blocks are definitely lost in loss record 1,355 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x40FEC0: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C5E5: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 1,149 (312 direct, 837 indirect) bytes in 13 blocks are definitely lost in loss record 1,386 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB80C1: slapi_register_plugin_ext (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x93EDE2B: syntax_register_matching_rule_plugins (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x93E9489: cis_init (in /usr/lib64/dirsrv/plugins/libsyntax-plugin.so)
==23620==    by 0x4EB785B: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4102D4: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C5E5: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 2,467 (672 direct, 1,795 indirect) bytes in 28 blocks are definitely lost in loss record 1,491 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x4E7277B: slapi_ch_calloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB4A77: generate_componentid (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB77D2: plugin_setup (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4102D4: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x41C5E5: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 3,004 (448 direct, 2,556 indirect) bytes in 8 blocks are definitely lost in loss record 1,506 of 1,609
==23620==    at 0x4C25A28: calloc (vg_replace_malloc.c:467)
==23620==    by 0x6C9D29B: PR_NewRWLock (in /lib64/libnspr4.so)
==23620==    by 0xF868358: vlv_init (in /usr/lib64/dirsrv/plugins/libback-ldbm.so)
==23620==    by 0xF839BC0: ldbm_instance_startall (in /usr/lib64/dirsrv/plugins/libback-ldbm.so)
==23620==    by 0xF864646: ldbm_back_start (in /usr/lib64/dirsrv/plugins/libback-ldbm.so)
==23620==    by 0x4EB5C0C: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB6585: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x41D948: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== 36,494 (4,400 direct, 32,094 indirect) bytes in 11 blocks are definitely lost in loss record 1,601 of 1,609
==23620==    at 0x4C26FDE: malloc (vg_replace_malloc.c:236)
==23620==    by 0x4E7287A: slapi_ch_malloc (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EACCAB: operation_new (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB949A: internal_operation_new (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x4EB6188: ??? (in /usr/lib64/dirsrv/libslapd.so.0.0.0)
==23620==    by 0x41D948: ??? (in /usr/sbin/ns-slapd)
==23620==    by 0x751FC9C: (below main) (in /lib64/libc-2.12.so)
==23620== 
==23620== LEAK SUMMARY:
==23620==    definitely lost: 9,288 bytes in 159 blocks
==23620==    indirectly lost: 42,050 bytes in 1,018 blocks
==23620==      possibly lost: 0 bytes in 0 blocks
==23620==    still reachable: 6,717,644 bytes in 25,573 blocks
==23620==         suppressed: 0 bytes in 0 blocks
==23620== Reachable blocks (those to which a pointer was found) are not shown.
==23620== To see them, rerun with: --leak-check=full --show-reachable=yes
==23620== 
==23620== For counts of detected and suppressed errors, rerun with: -v
==23620== ERROR SUMMARY: 55 errors from 55 contexts (suppressed: 39 from 9)

-- It did not report any leaks in bitwise.c.

1. My steps were correct?
2. Can I mark the bug as VERIFIED?
3. And the leaks, It reported are considerable or it's just memory we expect to be reclaimed when the server exits?

Please guide.
Comment 8 Rich Megginson 2011-07-11 11:58:52 EDT
1. My steps were correct?

Yes.

2. Can I mark the bug as VERIFIED?

Yes.

3. And the leaks, It reported are considerable or it's just memory we expect to
be reclaimed when the server exits?

Yes, reclaimed upon exit
Comment 9 Amita Sharma 2011-07-12 02:48:29 EDT
Based on comment#8, marking the bug as VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.